Package org.kapott.hbci.passport

## Class HBCIPassportSIZRDHFile

- java.lang.Object
- - org.kapott.hbci.passport.AbstractHBCIPassport
  - - org.kapott.hbci.passport.AbstractRDHPassport
    - - org.kapott.hbci.passport.AbstractRDHSWPassport
      - - org.kapott.hbci.passport.AbstractRDHSWFileBasedPassport
        - - org.kapott.hbci.passport.HBCIPassportSIZRDHFile

All Implemented Interfaces:
  `java.io.Serializable`, `FileBasedPassport`, `HBCIPassport`, `HBCIPassportInternal`, `InitLetterPassport`

    public class HBCIPassportSIZRDHFile
    extends AbstractRDHSWFileBasedPassport

Passport-Klasse für die Verwendung von SIZ-RDH-Schlüsseldateien mit HBCI4Java. SIZ-RDH-Schlüsseldateien sind Schlüsseldateien für RDH-Zugänge, die von anderer HBCI-Software erzeugt und verwendet werden (z.B. von StarMoney). Soll eine solche Schlüsseldatei sowohl mit der anderen Software als auch mit HBCI4Java verwendet werden, so kann das mit dieser Passport-Variante geschehen. Soll die Schlüsseldatei nur noch mit HBCI4Java benutzt werden, so ist eine Konvertierung der Schlüsseldatei in ein anderes Passport-Format (vorzugsweise `RDHNew`) zu empfehlen. Dazu kann der HBCI4Java Passport Editor oder das Tool `ConvertSIZRDHPassport` verwendet werden.

Achtung: In der reinen GPL-Version von HBCI4Java ist diese Klasse nicht funktionstüchtig. Der Grund dafür ist, dass `SIZRDHFile` eine zusätzliche Bibliothek zur Laufzeit benötigt. Diese Bibliothek steht nur als Binary-Version unter http://hbci4java.kapott.org zur Verfügung. Erst nach Installation dieser Bibliothek können SIZRDHFile-Passports benutzt werden.

Siehe auch die Datei `README.SIZRDHFile`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.kapott.hbci.passport.AbstractRDHSWPassport

`keys`

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Constructor Summary

Constructors
`HBCIPassportSIZRDHFile​(java.lang.Object initObject)`
`HBCIPassportSIZRDHFile​(java.lang.Object init, int dummy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `askForEntryIdx​(java.lang.String possibilities)`
`java.lang.String` `getPassphrase()`
`java.lang.String` `getProfileVersion()`
`void` `resetPassphrase()`
`void` `saveChanges()` Speichern der Änderungen an den Passport-Daten.

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHSWFileBasedPassport

`close, getFilename, setFilename`

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHSWPassport

`decrypt, encrypt, generateNewUserKeys, getInstEncKey, getInstEncKeyName, getInstEncKeyNum, getInstEncKeyVersion, getInstSigKey, getInstSigKeyName, getInstSigKeyNum, getInstSigKeyVersion, getKey, getMyEncKeyName, getMyEncKeyNum, getMyEncKeyVersion, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getMySigKeyName, getMySigKeyNum, getMySigKeyVersion, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, setInstEncKey, setInstSigKey, setKey, setMyDigKey, setMyEncKey, setMyPrivateDigKey, setMyPrivateEncKey, setMyPrivateSigKey, setMyPublicDigKey, setMyPublicEncKey, setMyPublicSigKey, setMySigKey, sign, verify`

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHPassport

`createMsgKey, getCommInstance, getCryptAlg, getCryptDataSize, getCryptFunction, getCryptKeyType, getCryptMode, getHashAlg, getPassportTypeName, getProfileMethod, getSigAlg, getSigFunction, getSigMode, getSignatureInstance, getSignatureParamSpec, getSysStatus, hash, isSupported, needInstKeys, needUserKeys, needUserSig, onDialogEvent`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, closeComm, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIPassportSIZRDHFile

    public HBCIPassportSIZRDHFile​(java.lang.Object init,
                                  int dummy)

#### HBCIPassportSIZRDHFile

    public HBCIPassportSIZRDHFile​(java.lang.Object initObject)

### Method Detail

#### getPassphrase

    public java.lang.String getPassphrase()

#### resetPassphrase

    public void resetPassphrase()

See Also:
  `HBCIPassportInternal.resetPassphrase()`

#### saveChanges

    public void saveChanges()

Description copied from interface: `HBCIPassport`
Speichern der Änderungen an den Passport-Daten. Diese Methode sollte eigentlich niemals manuell aus einer Anwendung heraus aufgerufen werden, sondern wird vom HBCI-Kernel benutzt. Das manuelle Aufrufen von `saveChanges` ist nur dann sinnvoll, wenn irgendwelche Passport-Daten manuell verändert werden (`HBCIPassport.setHost(String)`, `HBCIPassport.clearBPD()` usw.) und diese Änderungen explizit gespeichert werden sollen.

#### askForEntryIdx

    public int askForEntryIdx​(java.lang.String possibilities)

#### getProfileVersion

    public java.lang.String getProfileVersion()